import { defineComponent as l, mergeModels as u, useModel as p, createBlock as s, openBlock as d, unref as r } from "vue";
import { useI18n as m } from "vue-i18n";
import { d as c } from "./start-CE9SawgU.js";
import "pinia";
import "./header-Bn1EKnBE.js";
const f = /* @__PURE__ */ l({
  __name: "StringToRelatedProductConfiguration",
  props: /* @__PURE__ */ u({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(t) {
    const e = p(t, "modelValue"), { t: a } = m();
    return (_, o) => (d(), s(r(c), {
      modelValue: e.value.separator,
      "onUpdate:modelValue": o[0] || (o[0] = (i) => e.value.separator = i),
      label: r(a)("pim.etl.StringToRelatedProductConfiguration.separator"),
      "persistent-placeholder": ""
    }, null, 8, ["modelValue", "label"]));
  }
});
function n(t) {
  const e = t;
  e.__i18n = e.__i18n || [], e.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        pim: {
          etl: {
            StringToRelatedProductConfiguration: {
              separator: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Separator" } }
            }
          }
        }
      },
      "de-DE": {
        pim: {
          etl: {
            StringToRelatedProductConfiguration: {
              separator: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Trennzeichen" } }
            }
          }
        }
      }
    }
  });
}
typeof n == "function" && n(f);
export {
  f as default
};
